using System.Xml.Serialization;

namespace economy.Models.Price.Domestic.Item.List
{
    // 검색결과 변수
    [XmlRoot(ElementName = "response")]
    public class Response
    {
        [XmlElement(ElementName = "body")]
        public Body Body { get; set; }
    }

    public class Body
    {
        [XmlElement(ElementName = "items")]
        public Items Items { get; set; }

        [XmlElement(ElementName = "numOfRows")]
        public int NumberOfRows { get; set; }

        [XmlElement(ElementName = "pageNo")]
        public int PageNo { get; set; }

        [XmlElement(ElementName = "totalCount")]
        public int TotalCount { get; set; }
    }

    public class Items
    {
        [XmlElement(ElementName = "item")]
        public List<Item> ItemList { get; set; }
    }

    public class Item
    {
        [XmlElement(ElementName = "rn")]
        public int Rn { get; set; }

        [XmlElement(ElementName = "ic")]
        public string Ic { get; set; }

        [XmlElement(ElementName = "in")]
        public string In { get; set; }
    }
}
